# CnpqWs

Gem de apoio a respostas do serviço web CPNq (Apenas Currículos). Para esta versão, sua model Usuário precisa ter os campos cpf, name e birth_date. Contribua com seu fork para futuras versões.

## Como usar

### 1. Adicione no Gemfile:

```ruby
gem 'cnpq_ws', '~> 0.0.11'
```

### 2. execute:

    $ bundle install

### 3. Execute o seguinte comando para gerar o arquivo de configuração:
	
	$ rails g cnpq_ws:install

### 4. Adicione o seguinte metodo na sua model Usuário

```ruby
tem_curriculo_lattes
```

### 5. Extraia os projetos do usuario, juntamente com a equipe e financiadores

```ruby
user = User.find(1)
user.projetos_de_pesquisa
```

Este método retorna uma array de objetos ProjetoPesquisa, associados aos objetos Membro e Financiador.

Atributos do objeto ProjetoPesquisa:

```ruby
sequencia_projeto, ano_inicio, ano_fim, nome_do_projeto, situacao, natureza, numero_tecnico_nivel_medio, 
		numero_graduacao, numero_especializacao, numero_mestrado_academico, numero_mestrado_prof, numero_doutorado, 
		descricao_do_projeto, descricao_do_projeto_ingles, nome_do_projeto_ingles, flag_potencial_inovacao, equipe_do_projeto, 
		financiadores_do_projeto
```

Métodos do objeto ProjetoPesquisa:

```ruby
equipe e financiadores
```

Atributos do objeto Membro
```ruby
nome_completo, nome_para_citacao, ordem_de_integracao, flag_responsavel
```

Atributos do objeto Financiador

```ruby
sequencia_financiador, codigo_instituicao, nome_instituicao, natureza
```

## Contribua!
